<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

$mesa=$_GET['mesa'];
$mes=mysqli_query($con,"SELECT * from mesas where mes_id='$mesa' and empresa='$empresa'") or die(mysqli_error($con)); 
$mes1=mysqli_fetch_array($mes);
$mes_estado=$mes1['mes_estado'];

if($mes_estado=='Libre')
{
    if ($usu_id<>'0' || $usu_id<>null )
    {
        $can1=mysqli_query($con,"SELECT MAX(pen_id)as pen_id FROM pedido ") or die(mysqli_error($con)); 
        $dato1=mysqli_fetch_array($can1); 
        $pen_id=$dato1['pen_id']+1;

        $can2=mysqli_query($con,"SELECT MAX(pen_n) as pen_n FROM pedido where empresa='$empresa'") or die(mysqli_error($con)); 
        $dato2=mysqli_fetch_array($can2); 
        $pen_n=$dato2['pen_n']+1;

        $cli2=mysqli_query($con,"SELECT * from cliente where clie_destacado='si' and empresa='$empresa'") or die(mysqli_error($con)); 
        $cli2=mysqli_fetch_array($cli2);
        $clie_id=$cli2['clie_id'];

        $insert1=mysqli_query($con, "INSERT INTO pedido (pen_id,pen_n,pen_estado,clie_id,usuario,mesa_id,sucursal,empresa) 
        VALUES ('$pen_id','$pen_n','En Proceso','$clie_id','$usu_id','$mesa','$sucursal','$empresa')");

   
        $registros=mysqli_query($con,"UPDATE mesas Set mes_estado='Ocupada' 
        Where mes_id='$mesa' and empresa='$empresa'") or die(mysqli_error($con));

        header('Location:../P_pedido_nuevo.php?pen_id='.$pen_id.'');
    }
    else
    {
        header('Location:../P_turno.php');
    }
}
else
{ ?>
    <script>
        alert('Mesa Ocupada');
    </script>
<?php }
?>